Index: ptexlib.h
===================================================================
--- ptexlib.h	(revision 46427)
+++ ptexlib.h	(working copy)
@@ -266,6 +266,7 @@
 
 /* writefont.c */
 extern void dopdffont(integer, internalfontnumber);
+static int font_has_subset(internalfontnumber f);
 extern fd_entry *lookup_fd_entry(char *, integer, integer);
 extern fd_entry *new_fd_entry(void);
 extern void writefontstuff(void);
Index: writefont.c
===================================================================
--- writefont.c	(revision 46427)
+++ writefont.c	(working copy)
@@ -665,6 +665,8 @@
 void dopdffont(integer font_objnum, internalfontnumber f)
 {
     fm_entry *fm;
+    if (!font_has_subset(f)) return; /* avoid Assertion failed */
+
     fm = hasfmentry(f) ? (fm_entry *) pdffontmap[f] : NULL;
     if (fm == NULL || is_pk(fm))
         writet3(fm, font_objnum, f);
@@ -672,5 +674,22 @@
         create_fontdictionary(fm, font_objnum, f);
 }
 
+static int font_has_subset(internalfontnumber f)
+{
+    int i, s;
+    /* search for |first_char| and |last_char| */
+    for (i = fontbc[f]; i <= fontec[f]; i++)
+        if (pdfcharmarked(f, i))
+            break;
+    s = i;
+    for (i = fontec[f]; i >= fontbc[f]; i--)
+        if (pdfcharmarked(f, i))
+            break;
+    if (s > i)
+        return 0;
+    else
+        return 1;
+}
+
 /**********************************************************************/
 // vim: ts=4
